import { INotPublicVehicles } from "../../../../schema-definitions/datasources/static-data";
import { RedisModel } from "@golemio/core/dist/integration-engine/models/RedisModel";
export declare class NotPublicVehiclesRedisRepository extends RedisModel {
    static NAMESPACE_PREFIX: string;
    constructor();
    /**
     * Save the not-public vehicles configuration to Redis
     */
    saveConfig(config: INotPublicVehicles): Promise<void>;
    /**
     * Get the current not-public vehicles configuration from Redis
     */
    getConfig(): Promise<INotPublicVehicles>;
}
